[migemo] Ruby 1.9対応

TAKAHASHI Kaoru kaoru-ml @ trans-nt.com
2013年 2月 22日 (金) 00:48:26 JST


高橋@TNTです。


migemoをRuby 1.9対応しました。テストの修正を含めてcommitしました。
ついでにconfigureまわりを今風にしておきました。
migemo.el.inは触っていません。
;; https://github.com/emacs-jp/emacs-jp.github.com/issues/7 の影響です


Ruby 1.8でも動くように書いてあります(つもり)。String#bytesizeが無い
ものには対応していませんが、必要があれば対応します。


ConfigのかわりにRbConfigを使うとか、configure --without-emacsで.el
のインストールを省略できるようとか、\wの影響確認とか、ソースでない
ファイル(*)をリポジトリから外すとかやりたい作業はそれなりにあります
が、ひとまず。


(*)
ソースファイル: 人間によって書かれ、自動的には決して変更されない。
ソースでないファイル: プログラムによってソースファイルから生成される。
-- 
TAKAHASHI Kaoru (高橋 郁) <kaoru-ml @ trans-nt.com>


Migemo メーリングリストの案内